=== bare/Makefile ===
# Stub Makefile for custom modules in the bare version of Sherlock
