=== build/Makefile ===
# Makefile for Sherlock Build Tools

DIRS+=build

obj/build/genhash: obj/build/genhash.o
