=== debug/Makefile ===
# Debugging utilities which are intended solely for authors' internal use

DIRS+=debug
PROGS+=$(addprefix obj/debug/,whenis sample cols)

obj/debug/random-access: obj/debug/random-access.o $(LIBSH)
obj/debug/sample: obj/debug/sample.o $(LIBSH)
obj/debug/flashdis: obj/debug/flashdis.o $(LIBSH)
obj/debug/refs-analyse: obj/debug/refs-analyse.o obj/indexer/iconfig.o $(LIBSH) -lm
