=== free/Makefile ===
# Stub Makefile for custom modules in the free version of Sherlock

CONFIGS+=timetable

include free/filter/Makefile
include free/lib/Makefile
