=== indexer/Makefile ===
# Makefile for the Sherlock Indexer (c) 2001--2004 Martin Mares <mj@ucw.cz>

DIRS+=indexer

ifdef CONFIG_INDEXER

PROGS+=$(addprefix obj/indexer/,indexer scanner merger labelsort mklex \
chewer wsort ssort psort lexorder lexsort lexfreq seal)

ifndef CONFIG_BARE
PROGS+=$(addprefix obj/indexer/,mergesums mergesigns keywords mergefp ireport reftexts \
backlinker mkgraph fpsort)
endif

endif

obj/indexer/scanner: obj/indexer/scanner.o obj/indexer/iconfig.o obj/indexer/matcher.o obj/indexer/alphabet.o obj/indexer/lexicon.o \
	obj/indexer/getbuck.o $(LIBFILTER) $(LIBLANG) $(LIBCHARSET) $(LIBSH)
obj/indexer/scanner: LIBS+=$(LIBLANG_LIBS)
obj/indexer/mergefp: obj/indexer/mergefp.o obj/indexer/iconfig.o $(LIBSH)
obj/indexer/mergesums: obj/indexer/mergesums.o obj/indexer/iconfig.o $(LIBSH)
obj/indexer/mergesigns: obj/indexer/mergesigns.o obj/indexer/iconfig.o $(LIBSH)
obj/indexer/fpsort: obj/indexer/fpsort.o obj/indexer/iconfig.o $(LIBSH)
obj/indexer/merger: obj/indexer/merger.o obj/indexer/iconfig.o $(LIBSH)
obj/indexer/labelsort: obj/indexer/labelsort.o obj/indexer/iconfig.o $(LIBSH)
obj/indexer/mklex: obj/indexer/mklex.o obj/indexer/lexicon.o obj/indexer/alphabet.o obj/indexer/iconfig.o obj/indexer/fetch.o \
	obj/indexer/getbuck.o $(LIBFILTER) $(LIBCHARSET) $(LIBSH)
obj/indexer/chewer: obj/indexer/chewer.o obj/indexer/lexicon.o obj/indexer/alphabet.o obj/indexer/iconfig.o obj/indexer/fetch.o \
	obj/indexer/getbuck.o $(LIBFILTER) $(LIBCHARSET) $(LIBSH)
obj/indexer/wsort: obj/indexer/wsort.o obj/indexer/iconfig.o $(LIBSH)
obj/indexer/ssort: obj/indexer/ssort.o obj/indexer/iconfig.o $(LIBSH)
obj/indexer/psort: obj/indexer/psort.o obj/indexer/iconfig.o $(LIBSH)
obj/indexer/mkgraph: obj/indexer/mkgraph.o obj/indexer/resolve.o obj/indexer/iconfig.o $(LIBSH)
obj/indexer/backlinker: obj/indexer/backlinker.o obj/indexer/iconfig.o $(LIBSH)
obj/indexer/reftexts: obj/indexer/reftexts.o obj/indexer/iconfig.o obj/indexer/resolve.o $(LIBCHARSET) $(LIBSH)
obj/indexer/reftexts: LIBS+=-lm
obj/indexer/lexmap-test: obj/indexer/lexmap-test.o obj/indexer/lexicon.o obj/indexer/alphabet.o $(LIBCHARSET) $(LIBSH)
obj/indexer/lexorder: obj/indexer/lexorder.o obj/indexer/iconfig.o obj/indexer/lexicon.o $(LIBLANG) $(LIBCHARSET) $(LIBSH)
obj/indexer/lexorder: LIBS+=$(LIBLANG_LIBS) -lm
obj/indexer/lexsort: obj/indexer/lexsort.o obj/indexer/iconfig.o obj/indexer/lexicon.o $(LIBCHARSET) $(LIBSH)
obj/indexer/lexfreq: obj/indexer/lexfreq.o obj/indexer/iconfig.o $(LIBSH)
obj/indexer/ireport: obj/indexer/ireport.o obj/indexer/iconfig.o $(LIBLANG) $(LIBCHARSET) $(LIBSH)
obj/indexer/ireport: LIBS+=$(LIBLANG_LIBS)
obj/indexer/keywords: obj/indexer/keywords.o obj/indexer/lexicon.o obj/indexer/alphabet.o obj/indexer/iconfig.o $(LIBCHARSET) $(LIBSH)
obj/indexer/seal: obj/indexer/seal.o obj/indexer/iconfig.o $(LIBSH)

obj/indexer/getbuck-t: obj/indexer/getbuck-tt.o obj/indexer/iconfig.o $(LIBSH)
