=== lang/Makefile ===
# Makefile for the Sherlock Language Processing Modules (c) 2003--2005 Martin Mares <mj@ucw.cz>

DIRS+=lang
PROGS+=obj/lang/lang-tables obj/lang/stem-table-gen obj/lang/stemtest
CONFIGS+=lang-detect

LIBLANG_MODS=lang stemmer stem-porter stem-table detect kmp syndict

obj/lang/liblang.a: $(addsuffix .o,$(addprefix obj/lang/,$(LIBLANG_MODS)) $(LIBLANG_EXTRAS))
obj/lang/liblang.so: $(addsuffix .oo,$(addprefix obj/lang/,$(LIBLANG_MODS)) $(LIBLANG_EXTRAS))

obj/lang/stemtest: obj/lang/stemtest.o $(LIBLANG) $(LIBCHARSET) $(LIBSH)
obj/lang/stemtest: LIBS+=$(LIBLANG_LIBS)
obj/lang/lang-tables: obj/lang/lang-tables.o obj/indexer/getbuck.o obj/indexer/iconfig.o $(LIBFILTER) $(LIBLANG) $(LIBCHARSET) $(LIBSH)
obj/lang/lang-tables: LIBS+=$(LIBLANG_LIBS)
obj/lang/stem-table-gen: obj/lang/stem-table-gen.o $(LIBSH)
