=== search/Makefile ===
# Makefile for the Sherlock Search Server (c) 2001--2004 Martin Mares <mj@ucw.cz>

DIRS+=search
PROGS+=obj/search/sherlockd

SS_OBJS=sherlockd.o config.o dbase.o reply.o query.o lex.o parse.tab.o cards.o words.o strings.o memory.o refs.o cmds.o

obj/search/sherlockd: $(addprefix obj/search/,$(SS_OBJS)) obj/indexer/alphabet.o $(LIBLANG) $(LIBCHARSET) $(LIBSH)
obj/search/sherlockd: LIBS+=$(LIBLANG_LIBS)

obj/search/lex.o: search/parse.tab.h
obj/search/parse.tab.o obj/search/parse.tab.oo: CWARNS+=-Wno-sign-compare -Wno-redundant-decls -Wno-undef

search/parse.tab.h: search/parse.tab.c
	touch $@

search/parse.tab.c: search/parse.y
	bison -dv $^ -o $@

dust::
	cd search && rm -f parse.tab.[ch] parse.output
