=== debian/changelog ===
holmes (3.4.1) stable; urgency=high

  * An essential bugfix in the gatherer concerning compressed buckets.

 -- Robert Spalek <robert@ucw.cz>  Wed, 23 Feb 2005 17:30:00 +0100

holmes (3.4) stable; urgency=low

  * License changed from proprietary to GPL!  The free version is hence no
    longer limited to 100k documents.

  Major new features and changes:

  * Buckets and cards are now stored in a new format designed for fast
    zero-copy processing.  Moreover, the gatherer and the indexer can compress
    the bucket file and cards using an included very fast compression library
    LiZaRd, saving about 30% of their size.
  * A lot of optimization work has been done, especially in the following
    modules: general sorter, bucket shakedown, computation of signatures, and
    chewer.  The usage of regular expressions at time-critical places (URL
    keywords recognition and testing session id's) has been abandoned in
    favour of hard-encoded C-routines; the speedup is about 10x.  The memory
    requirements of indexer have been decreased, and a partial sorting (with
    some more seeking afterwards) is used where appropriate.  The whole
    Sherlock has scaled up; we have successfully used it on 70M documents.
  * Texts of HTML links (reference texts) can now be indexed together with the
    text of a page.  They are attached at the end of the card together with
    the URL of the referring page.
  * Big cleanup in the customization interface; see doc/changes.  A new "bare"
    customization (as simple as possible) added.  Introduced late matchers,
    custom matchers, and custom statistics.  You can define your own filter
    functions.

  Minor new features and changes:

  * Gatherer:
    o HTML parser recognizes inline META robot control tags and it implements
      the new "rel=nofollow" attribute in tags containing links.  It also
      tries to avoid duplicate ALT and TITLE reference texts.
    o PDF parser supports new encryption formats.  Added a pdfdump utility for
      debugging.  Several problematic PDF documents are parsed correcly now.
      The parser has been split into a few modules and cleaned up.
    o Computation of a queue key (QKEY) works properly even for hosts with
      multiple IP-addresses.
    o Refreshing of documents is improved; we now check the differences
      against the original version before storing the new version.
    o The new charset guesser is more resistant against a few characters in a
      different charset inserted in the middle of the page (such as banner
      texts).  Content-type guesser logic is improved, too.
    o Added charset recognizer configuration for the Polish language.
    o Conformance to standards improved (URL's, HTTP protocol), but we also
      try to be more tolerant to others breaking the standards (especially in
      date parsing).
    o When a filter tries to reject downloading of robots.txt, its decision is
      ignored. Otherwise all sorts of strange things happen.

  * Indexer:
    o Indexer can now generate an index from a plain text file with buckets
      separated by an empty line instead of a bucket-file.
    o Several common singletons (such as & and +) added as context words.
    o Changed the format of the attributes file: file-type and language bits
      redistributed.
    o ireport reports filetype, language, and domain statistics.

  * Search server:
    o Search server can search on multiple indices, which are merged on-line.
    o Added a new CONTEXT FULL mode which dumps all the text we remember.
    o Added a sort mode which only sorts on a given attribute, but it ignores
      the Q-factor.
    o Added a hydra mode for SMP-systems, where several concurrent processes
      are run.
    o Fixed calculation of the 2nd best match.
    o Important bugfixes: no more stack overflows and SIGBUS's.
    o The example front-end works again.

  * Optimizations:
    o Several regular expression backends supported and one of them (known to
      be _relatively_ stable and fast) engine imported to the source tree and
      it is set as default.  However, as said above, we do not trust it anough
      and rather rewrote some tests into C.
    o Filters: Added a new interval test: if (a =# 1 .. 10).  Switch commands
      consisting of == and =# tests are optimized to logarithmic complexity
      using red-black binary search trees.  We also added a new general
      utility for testing filters in various modes.

  * Cleanups:
    o Major cleanup of all libraries. The old `libsh' has been split to a fairly
      generic `libucw' and parts specific for Holmes.  The charset library has
      been almost rewritten.
    o Cleanup of makefiles and configuration files.  The build system no longer
      writes into the source directories.
    o Numbers in configuration files can be specified in various units.
    o Improved and optimized debugging utilities (buckettool, idxdump, and
      dump-card).
    o All daemons create their locks files in a special lock-directory.
    o Added a brief introduction to the coding style (doc/codingstyle).
    o Added an automatic unit-testing framework (try `make tests').
    o Watson rewritten.

  * Other important issues:
    o Bugfix for some (especially Fedora) kernels: Sherlock now copes with
      pointers close to the 4GB limit.
    o Building of shared libraries now uses `gcc -shared' instead of talking
      directly with the linker, making shared libraries work on newer systems.

  * As usual, we have done many more bugfixes, optimizations, cleanups, and
    code polishing.

 -- Robert Spalek <robert@ucw.cz>  Tue, 22 Feb 2005 15:27:00 +0100

holmes (2.6.2) stable; urgency=low

  * Released a parser for PDF documents, previously only available in
    the commercial version.

 -- Martin Mares <mj@ucw.cz>  Sun,  8 Feb 2004 17:15:34 +0100

holmes (2.6.1) stable; urgency=low

  * Released as stable version, no changes against -beta2.


